Package org.opengis.cite.ogcapifeatures10.util

# Class BBox

java.lang.Object
org.opengis.cite.ogcapifeatures10.util.BBox

public class BBox extends Object

BBox class.

Author:
  Lyn Goltz

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BBox(double minX, double minY, double maxX, double maxY)`
  Constructor for BBox.
  `BBox(double minX, double minY, double maxX, double maxY, CoordinateSystem crs)`
  Constructor for BBox.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `asQueryParameter()`
  asQueryParameter.
  `boolean`
  `equals(Object o)`
  `CoordinateSystem`
  `getCrs()`
  Getter for the field `crs`.
  `double`
  `getMaxX()`
  Getter for the field `maxX`.
  `double`
  `getMaxY()`
  Getter for the field `maxY`.
  `double`
  `getMinX()`
  Getter for the field `minX`.
  `double`
  `getMinY()`
  Getter for the field `minY`.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BBox

    public BBox(double minX, double minY, double maxX, double maxY)

    Constructor for BBox.

    Parameters:
      `minX` - Lower left corner, coordinate axis 1
      `minY` - Lower left corner, coordinate axis 2
      `maxX` - Upper right corner, coordinate axis 1
      `maxY` - Upper right corner, coordinate axis 2

  - ### BBox

    public BBox(double minX, double minY, double maxX, double maxY, CoordinateSystem crs)

    Constructor for BBox.

    Parameters:
      `minX` - Lower left corner, coordinate axis 1
      `minY` - Lower left corner, coordinate axis 2
      `maxX` - Upper right corner, coordinate axis 1
      `maxY` - Upper right corner, coordinate axis 2
      `crs` - CRS of the bbox, may be `null`

- ## Method Details

  - ### getMinX

    public double getMinX()

    Getter for the field `minX`.

    Returns:
      Lower left corner, coordinate axis 1

  - ### getMinY

    public double getMinY()

    Getter for the field `minY`.

    Returns:
      Lower left corner, coordinate axis 2

  - ### getMaxX

    public double getMaxX()

    Getter for the field `maxX`.

    Returns:
      Upper right corner, coordinate axis 1

  - ### getMaxY

    public double getMaxY()

    Getter for the field `maxY`.

    Returns:
      Upper right corner, coordinate axis 2

  - ### getCrs

    public CoordinateSystem getCrs()

    Getter for the field `crs`.

    Returns:
      CRS of the bbox, never `null`

  - ### asQueryParameter

    public String asQueryParameter()

    asQueryParameter.

    Returns:
      the bbox as query string like '-12,10, 12,20'

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`